Subject: Ticket Assigned - late delivery /9562676374
From: Home Box <[email-masked]>
To: [email-masked]
Date: Thu, 31 Mar 2022 07:25:59 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  late delivery /9562676374 aMOOn                    تم شحن طلبك رقم 9562676374 للمنتج صينية تقديم مستطيلة من الخيزرا... +27منتج/منتجات  AWB FC032622001121. توقع التوصيل في 27-03-2022. تتبع الطلب https://homebox.app.link/UhamvvhmHob           11:15 AM, 31st Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           11:16 AM, 31st Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            11:16 AM, 31st Mar                   Ahmed                   Kindly allow me few moments so I can check the details of the order            11:17 AM, 31st Mar                   Ahmed                   I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           11:25 AM, 31st Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4103924